Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class DomainNameMismatchException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException
                        |
                        +--com.novell.service.session.xplat.DomainNameMismatchException

public class DomainNameMismatchException
extends SessionException

Thrown when a server name does not match the name in the connection.

Constructor Summary
`DomainNameMismatchException(java.lang.String requestedServer, java.lang.String connectionServer)` Constructs a DomainNameMismatchException with the requested server and connection server.
`DomainNameMismatchException(java.lang.String requestedServer, java.lang.String connectionServer, Address addr)` Constructs a DomainNameMismatchException with the requested server, connection server and address.

Methods inherited from class com.novell.service.session.SessionException
`getRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainNameMismatchException

    public DomainNameMismatchException(java.lang.String requestedServer,
                                       java.lang.String connectionServer)

  Constructs a DomainNameMismatchException with the requested server and connection server.
  Parameters:
    `requestedServer` - The specific server requested.
    `connectionServer` - The specific connection server.

### DomainNameMismatchException

    public DomainNameMismatchException(java.lang.String requestedServer,
                                       java.lang.String connectionServer,
                                       Address addr)

  Constructs a DomainNameMismatchException with the requested server, connection server and address.
  Parameters:
    `requestedServer` - The specific server requested.
    `connectionServer` - The specific connection server.
    `addr` - The specified address.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD